{
  num: -502,
  accuracy: true,
  basePower: 0,
  category: "Status",
  isNonstandard: "Past",
  name: "Depthdecree",
  pp: 10,
  priority: 0,
  flags: { failencore: 1, nosleeptalk: 1, noassist: 1, failcopycat: 1, failmimic: 1, failinstruct: 1 },
  onTryMove(attacker, defender, move) {
    const weather = attacker.effectiveWeather();
    if (!["sunnyday", "desolateland"].includes(weather)) {
      this.add('-fail', attacker, 'move: Depthdecree');
      return false;
    }
  },
  onHit(target, source, move) {
    this.field.setWeather("raindance");
  },
  boosts: {
    spa: 1.5,
    spe: 1.5
  },
  secondary: null,
  target: "self",
  type: "Water",
  zMove: { boost: { atk: 2 } },
  contestType: "Clever"
}
